<template>
    <card class="flex flex-col items-start justify-top h-auto">
        <div class="px-3 py-3">
            <h1 class="text-left text-xl text-80 font-normal">Naposledy vytvorené cenníky</h1>
        </div>
        <div class="flex-1 w-full px-3 py-3">

            <table>
                <tr v-for="priceList in priceLists" :key="priceList.id">
                    <td>{{ priceList.client.name }}</td>
                    <td>{{ priceList.created_at }}</td>
                    <td>zobraziť</td>
                </tr>
            </table>

        </div>
        <div class="px-3 py-3 text-right w-full">
            <a href="">zobraziť všetky cenníky</a>
        </div>
    </card>
</template>

<script>

export default {
    props: [
        'card',

        // The following props are only available on resource detail cards...
        // 'resource',
        // 'resourceId',
        // 'resourceName',
    ],
    data: () => ({
        priceLists: []
    }),
    methods: {
        loadPriceLists() {
            Nova.request().get('/nova-vendor/last-price-lists/get-last-price-lists')
            .then(response => {
                this.priceLists = response.data
            })
        }
    },
    mounted() {
        //
        console.log(this);
        this.loadPriceLists()
    },
}
</script>
